#include<bits/stdc++.h>
using namespace std;
int n,x[100005],y[100005],z[100005],br;
int main ()
{
    br=0;
    cin >> n;
    for(int i=1; i<=n; i++)
    {
        cin >> x[i];
    }

    for(int i=1; i<=n; i++)
    {
        cin >> y[i];
    }

    for(int i=1; i<=n; i++)
    {
        cin >> z[i];
    }
    sort(z+1,z+n+1);
    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=n; j++)
        {
            for(int k=1; k<=n; k++)
            {
                if(x[i]==y[j] and j==z[k])
                {
                    br++;
                }
                else if(j!=z[k] and z[k]>j)
                {
                    goto ovde;
                }
            }
            ovde:
            i=i;
        }
    }
    cout << br << endl;
}